{% extends 'partials/base.html.twig' %}

{% block content %}
	{% for story in page.header.custom.stories %}
		{% set p = pages.find(story.page) %}

		
	{% endfor %}

		
	
	<div class="page_block">
		<div class="page_menu">
			{% include('/partials/page_header_logo.html.twig') with {'black': true} %}
			{% if page.header.custom.showLeftMenu %}
			<div class="side_menu">
				<h2 class="title">
					{{'JOBTECH.CONTENT.FIELDS_OF_FOCUS'|t}}
				</h2>
				<div>
					{% for field in fields %}
						{# <div class="menu_item" onclick="setFieldFilter({{loop.index0}}, {{json_encode(fields)}})"> #}
							<span>{{field}}</span>
					</div>
					{% endfor %}
				</div>
			</div>
			{% endif %}
		</div>
		
		{% include '/partials/nav_tailwind.html.twig' with {'Color': 'Black'} %}
		
		<div class="lg:w-1084px justify-center mx-auto">
		
			
				
			<div class="flex justify-center">	
				{% include('/partials/breadcrumbs.html.twig') %}
			</div>
			<div id="main" class="text-center">				
					<h1 class=" font-roboto_slab text-xl uppercase mt-60px mb-30px font-black">
						{{page.header.custom.title|raw}}
					</h1>
				<h2 class="mb-60px font-playfair text-18/26  lg:text-55/65 whitespace-break-spaces w-full ">{{page.header.custom.text}}</h2>
			</div>
			
			<div class="mx-auto mb-60px rounded-md bg-#ddd content-center p-10 flex-shrink " id="filter">

				
				{% include('/partials/filter_tags.html.twig') with {type:'category', 'tags': categories, 'name': 'JOBTECH.CONTENT.CATEGORY'|t} %}	
				{% include('/partials/filter_tags.html.twig') with {type:'type', 'tags': types, 'name': 'JOBTECH.CONTENT.TYPE'|t} %}
				{% include('/partials/filter_tags.html.twig') with {type:'status', 'tags': statuses, 'name': 'JOBTECH.CONTENT.STATUS'|t} %}
				
			</div>
			<div id="component_list">
				<div class=" grid grid-cols-1 lg:grid-cols-2 gap-60px lg:mx-60px lg:my-60px mb-30px mx-3">
				{% do set("arr", page.header.custom.stories) %}
				{% do set("list", splice(shuffle(arr),3)) %}
				{% for story in list %}
					{% set p = pages.find(story.page) %}
					
						{% include('/partials/component_short.html.twig') with {'page': p, 'url': component.page} %}
					
					
				{% endfor %}
				</div>
			</div>
		</div>
		
	</div>
	
{% endblock %}
